# ---
# jupyter:
#   jupytext:
#     text_representation:
#       extension: .py
#       format_name: light
#       format_version: '1.5'
#       jupytext_version: 1.13.1
#   kernelspec:
#     display_name: Python 3 (ipykernel)
#     language: python
#     name: python3
# ---

# lpu and dpu examples

import matplotlib.pyplot as plt
# %matplotlib inline
from matplotlib.colors import LogNorm
from mpl_toolkits.mplot3d import axes3d
import matplotlib.pyplot as plt
import numpy

from common.config.Environment import Env
from common.database.Context import context
# we'll use the TEST project
context.set_project('TEST')

from micado.main.aweimports import *

from micado.util.Processor import LocalProcessor, Processor
# initialize lpu and dpu
lpu = LocalProcessor()
dpu = Processor(Env['dpu_name'])
print(Env['dpu_name'])
print("https://dpu.hpc.rug.astro-wise.org/")

# we'll use the Template of this Dark
dark = Dark(object_id='E323A041894B6293E053184A17AC9FEC') 





# run simulate raw dark on lpu
myd = lpu.run('rawdark', commit=True)

myd = lpu.get_job_result()[0]

myd



# run master dark on lpu
lpu.run('dark', template=dark.template)







# run simulate raw dark on dpu
job_id = dpu.run('rawdark')
print(job_id)

dpu.get_status(job_id)

dpu.get_status(job_id)





# run master dark on lpu
job_id_masterdark = lpu.run('dark', template=dark.template, commit=False)
print(job_id_masterdark)

job_id_masterdark



# run master dark on dpu
job_id_masterdark = dpu.run('dark', template=dark.template, commit=True)
print(job_id_masterdark)

dpu.get_status(job_id_masterdark)

dpu.get_status(job_id_masterdark)

dpu.wait_for_jobs()

dpu.get_status(job_id_masterdark)

dpu.get_log(job_id_masterdark)

result_masterdark = dpu.get_job_result(job_id_masterdark)

result_masterdark

mymasterdark = result_masterdark[0][0]
print(mymasterdark.object_id.binary())

mymasterdark.retrieve()

mymasterdark.load_data()

mymasterdark.extensions

data = mymasterdark.extensions[0].image
dmin, dmax, dmean, dmed, dstd = data.min(), data.max(), data.mean(), numpy.median(data), data.std()
fig, ax = plt.subplots()
im = ax.imshow(data, norm=LogNorm(vmin=dmed , vmax=dmed + 0.1 * dstd))
# im = ax.imshow(data)
fig.colorbar(im)
fig.show()


