# -*- coding: utf-8 -*-
"""AstromQC.

This module is part of the dataitem description.
All (concrete) dataitem classes have a one-to-one correspondence with
a specific FITS file type in the pipeline.

There are several base classes:
- Raw for raw data
- Img for processed images
- Cat for catalogs

This file is automatically generated. Do not modify!
"""

from micado.dataitems.QCParameters import QCParameters, persistent


class AstromQC(QCParameters):
    """AstromQC."""

    astrom_dcrval1 = persistent(
        "Change in DCRVALn of pointing of astrometric solution compared to nominal RA "
        "of pointing for each detector [QC DCRVALn][None]",
        float,
        0.0,
    )

    astrom_dcrval2 = persistent(
        "Change in DCRVALn of pointing of astrometric solution compared to nominal RA "
        "of pointing for each detector [QC DCRVALn][None]",
        float,
        0.0,
    )

    astrom_rmsdra = persistent(
        "rms of RA residuals with reference stars in mas. [QC RMSDRA][mas]", float, -1.0
    )

    astrom_rmdddec = persistent(
        "rms of DEC residuals with reference stars in mas. [QC RMSDDEC][mas]",
        float,
        -1.0,
    )
