# -*- coding: utf-8 -*-
"""CalibHCI.

This module is part of the dataitem description.
All (concrete) dataitem classes have a one-to-one correspondence with
a specific FITS file type in the pipeline.

There are several base classes:
- Raw for raw data
- Img for processed images
- Cat for catalogs

This file is automatically generated. Do not modify!
"""

from micado.main.Img import Img, persistent
from micado.dataitems.DetrendFinalHCIScienceBase import DetrendFinalHCIScienceBase
from micado.recipes.McdImgCalibHCI import McdImgCalibHCI
from micado.dataitems.CalibHCIQC import CalibHCIQC


class CalibHCI(Img):
    """Calibrated HCI image, that is with proper parallactic angle."""

    detrend = persistent(
        "Detrended HCI Science Image [][None]", DetrendFinalHCIScienceBase, None
    )

    recipe = persistent("The recipe [][None]", McdImgCalibHCI, None)

    qc = persistent("Quality Control parameters [][None]", CalibHCIQC, None)
