# -*- coding: utf-8 -*-
"""Cam.

This module is part of the dataitem description.
All (concrete) dataitem classes have a one-to-one correspondence with
a specific FITS file type in the pipeline.

There are several base classes:
- Raw for raw data
- Img for processed images
- Cat for catalogs

This file is automatically generated. Do not modify!
"""

from micado.dataitems.WamCamBase import WamCamBase, persistent
from micado.templates.MicadoImgCalColdmask import MicadoImgCalColdmask
from micado.dataitems.CamExtension import CamExtension


class Cam(WamCamBase):
    """Cam.

    Raw cold astrometric mask data for distortion determination. Not used in
    the automatic pipeline.
    """

    template = persistent("The template [][None]", MicadoImgCalColdmask, None)

    extensions = persistent("CamExtensions [][None]", CamExtension, [])
