# -*- coding: utf-8 -*-
"""CoroBackground.

This module is part of the dataitem description.
All (concrete) dataitem classes have a one-to-one correspondence with
a specific FITS file type in the pipeline.

There are several base classes:
- Raw for raw data
- Img for processed images
- Cat for catalogs

This file is automatically generated. Do not modify!
"""

from micado.dataitems.CoroBase import CoroBase, persistent
from micado.templates.MicadoCoroObsFpmBgVirtual import MicadoCoroObsFpmBgVirtual


class CoroBackground(CoroBase):
    """Background sky image for the science images (and online processing)."""

    template = persistent("template [][None]", MicadoCoroObsFpmBgVirtual, None)
