# -*- coding: utf-8 -*-
"""Detrend.

This module is part of the dataitem description.
All (concrete) dataitem classes have a one-to-one correspondence with
a specific FITS file type in the pipeline.

There are several base classes:
- Raw for raw data
- Img for processed images
- Cat for catalogs

This file is automatically generated. Do not modify!
"""

from micado.dataitems.DetrendSiaiBase import DetrendSiaiBase, persistent
from micado.dataitems.Science import Science


class Detrend(DetrendSiaiBase):
    """Detrend.

    Image which has been corrected for instrumental effects, not background
    subtracted.
    """

    raw = persistent("Raw Science Image. [][None]", Science, None)
