# -*- coding: utf-8 -*-
"""DetrendFinalHCIOffset.

This module is part of the dataitem description.
All (concrete) dataitem classes have a one-to-one correspondence with
a specific FITS file type in the pipeline.

There are several base classes:
- Raw for raw data
- Img for processed images
- Cat for catalogs

This file is automatically generated. Do not modify!
"""

from micado.dataitems.DetrendFinalHCIBase import DetrendFinalHCIBase, persistent
from micado.dataitems.DetrendHCIOffset import DetrendHCIOffset


class DetrendFinalHCIOffset(DetrendFinalHCIBase):
    """DetrendFinalHCIOffset.

    Image which has been corrected for instrumental effects for HCI, and
    background subtracted.
    """

    detrend = persistent(
        "Detrended HCI off-axis image, CORO_OFFSET_RAW [][None]", DetrendHCIOffset, None
    )
