# -*- coding: utf-8 -*-
"""DetrendFinalPupil.

This module is part of the dataitem description.
All (concrete) dataitem classes have a one-to-one correspondence with
a specific FITS file type in the pipeline.

There are several base classes:
- Raw for raw data
- Img for processed images
- Cat for catalogs

This file is automatically generated. Do not modify!
"""

from micado.dataitems.DetrendFinalHCIScienceBase import (
    DetrendFinalHCIScienceBase,
    persistent,
)
from micado.dataitems.DetrendPupil import DetrendPupil


class DetrendFinalPupil(DetrendFinalHCIScienceBase):
    """Fully detrended pupil image."""

    detrend = persistent("None [][None]", DetrendPupil, None)
