# -*- coding: utf-8 -*-
"""DetrendHCIBase.

This module is part of the dataitem description.
All (concrete) dataitem classes have a one-to-one correspondence with
a specific FITS file type in the pipeline.

There are several base classes:
- Raw for raw data
- Img for processed images
- Cat for catalogs

This file is automatically generated. Do not modify!
"""

from micado.dataitems.DetrendBase import persistent
from micado.dataitems.CoroBase import CoroBase
from micado.recipes.McdImgDetrendHCI import McdImgDetrendHCI
from micado.requirements.DPS3130SCI import DPS3130SCI
from micado.dataitems.DetrendQC import DetrendQC
from micado.dataitems.DetrendHCIBaseExtra import DetrendHCIBaseExtra


class DetrendHCIBase(DetrendHCIBaseExtra):
    """DetrendHCI Base."""

    raw = persistent("Raw HCI Science Image [][None]", CoroBase, None)

    recipe = persistent("The recipe [][None]", McdImgDetrendHCI, None)

    requirement = persistent("DPS3130SCI [][None]", DPS3130SCI, None)

    qc = persistent("Quality Control parameters [][None]", DetrendQC, None)
