# -*- coding: utf-8 -*-
"""DetrendWaffle.

This module is part of the dataitem description.
All (concrete) dataitem classes have a one-to-one correspondence with
a specific FITS file type in the pipeline.

There are several base classes:
- Raw for raw data
- Img for processed images
- Cat for catalogs

This file is automatically generated. Do not modify!
"""

from micado.dataitems.DetrendHCIBase import DetrendHCIBase, persistent
from micado.dataitems.ScienceCoroWaffle import ScienceCoroWaffle


class DetrendWaffle(DetrendHCIBase):
    """DetrendWaffle.

    Waffle image which has been corrected for instrumental effects for HCI,
    and background subtracted.
    """

    raw = persistent("A CoroWaffle image. [][None]", ScienceCoroWaffle, None)
