# -*- coding: utf-8 -*-
"""DistortionCam.

This module is part of the dataitem description.
All (concrete) dataitem classes have a one-to-one correspondence with
a specific FITS file type in the pipeline.

There are several base classes:
- Raw for raw data
- Img for processed images
- Cat for catalogs

This file is automatically generated. Do not modify!
"""

from micado.dataitems.DistortionBase import DistortionBase, persistent
from micado.dataitems.DetrendFinalCam import DetrendFinalCam
from micado.dataitems.CamRef import CamRef


class DistortionCam(DistortionBase):
    """Distortion as measured through the Cold Astrometric Mask."""

    detrend = persistent("The input image [][None]", DetrendFinalCam, None)

    refcat = persistent("Cold Astrometric Mask reference. [][None]", CamRef, None)
