# -*- coding: utf-8 -*-
"""DpsicsStaroffsetOpt.

This module is part of the dataitem description.
All (concrete) dataitem classes have a one-to-one correspondence with
a specific FITS file type in the pipeline.

There are several base classes:
- Raw for raw data
- Img for processed images
- Cat for catalogs

This file is automatically generated. Do not modify!
"""

from micado.dataitems.DpsicsStaroffsetBase import DpsicsStaroffsetBase, persistent
from micado.dataitems.DpsicsOpt import DpsicsOpt
from micado.recipes.McdHciOpt import McdHciOpt


class DpsicsStaroffsetOpt(DpsicsStaroffsetBase):
    """Position and Offset of Star for Opt."""

    raw = persistent("raw [][None]", DpsicsOpt, None)

    recipe = persistent("recipe [][None]", McdHciOpt, None)
