# -*- coding: utf-8 -*-
"""PhotomExtension.

This module is part of the dataitem description.
All (concrete) dataitem classes have a one-to-one correspondence with
a specific FITS file type in the pipeline.

There are several base classes:
- Raw for raw data
- Img for processed images
- Cat for catalogs

This file is automatically generated. Do not modify!
"""

from micado.main.DataExtension import DataExtension, persistent


class PhotomExtension(DataExtension):
    """Photom FITS Extension."""

    zeropoint = persistent("Zeropoint of the observation [ZEROPNT][mag]", float, 0.0)

    extinction = persistent("Extinction of the observation [EXTINCT][mag]", float, 0.0)
