# -*- coding: utf-8 -*-
"""PhotomQC.

This module is part of the dataitem description.
All (concrete) dataitem classes have a one-to-one correspondence with
a specific FITS file type in the pipeline.

There are several base classes:
- Raw for raw data
- Img for processed images
- Cat for catalogs

This file is automatically generated. Do not modify!
"""

from micado.dataitems.QCParameters import QCParameters, persistent


class PhotomQC(QCParameters):
    """PhotomQC."""

    PHOTOM_STDEV_ZPT1 = persistent(
        "Standard deviation in zeropoint as inferred for each source that is cross-"
        "matched with reference catalog for each detector <i>. [QC ZPTSTDi][None]",
        float,
        0.0,
    )

    PHOTOM_N_MATCH = persistent(
        "Number of sources for which a cross-match with the reference catalog is made "
        "for each detector <d>. [QC NMATCHi][None]",
        float,
        0.0,
    )
