# -*- coding: utf-8 -*-
"""RegridQC.

This module is part of the dataitem description.
All (concrete) dataitem classes have a one-to-one correspondence with
a specific FITS file type in the pipeline.

There are several base classes:
- Raw for raw data
- Img for processed images
- Cat for catalogs

This file is automatically generated. Do not modify!
"""

from micado.dataitems.QCParameters import QCParameters, persistent


class RegridQC(QCParameters):
    """RegridQC."""

    REGRID_MEAN = persistent("QC REGRIDMEAn [][None]", float, 0.0)

    REGRID_STD = persistent("QC REGRIDSTDn [][None]", float, 0.0)

    REGRID_MEDIAN = persistent("QC REGRIDMEDn [][None]", float, 0.0)
