# -*- coding: utf-8 -*-
"""Science.

This module is part of the dataitem description.
All (concrete) dataitem classes have a one-to-one correspondence with
a specific FITS file type in the pipeline.

There are several base classes:
- Raw for raw data
- Img for processed images
- Cat for catalogs

This file is automatically generated. Do not modify!
"""

from micado.main.SkySiaiBase import SkySiaiBase, persistent
from micado.templates.MicadoImgObs import MicadoImgObs
from micado.dataitems.ScienceExtension import ScienceExtension


class Science(SkySiaiBase):
    """Raw on-sky exposure."""

    template = persistent("The template [][None]", MicadoImgObs, None)

    extensions = persistent("ScienceExtensions [][None]", ScienceExtension, [])
