# -*- coding: utf-8 -*-
"""StarcenterQC.

This module is part of the dataitem description.
All (concrete) dataitem classes have a one-to-one correspondence with
a specific FITS file type in the pipeline.

There are several base classes:
- Raw for raw data
- Img for processed images
- Cat for catalogs

This file is automatically generated. Do not modify!
"""

from micado.dataitems.QCParameters import QCParameters, persistent


class StarcenterQC(QCParameters):
    """StarcenterQC."""

    STARPOS_SNR_MINi = persistent(" [QC STARPOS SNRMINi][None]", float, 0.0)

    STARPOS_SNR_MAXi = persistent(" [QC STARPOS SNRMAXi][None]", float, 0.0)

    STARPOS_SNR_MEDIANi = persistent(" [QC STARPOS SNRMEDi][None]", float, 0.0)

    STARPOS_SNR_MEANi = persistent(" [QC STARPOS SNRMEANi][None]", float, 0.0)
