# -*- coding: utf-8 -*-
"""StaroffsetQC.

This module is part of the dataitem description.
All (concrete) dataitem classes have a one-to-one correspondence with
a specific FITS file type in the pipeline.

There are several base classes:
- Raw for raw data
- Img for processed images
- Cat for catalogs

This file is automatically generated. Do not modify!
"""

from micado.dataitems.QCParameters import QCParameters, persistent


class StaroffsetQC(QCParameters):
    """StaroffsetQC.

    Storing feedback telemetry for a posteriori trend/diagnostic analysis (or
    flagging of bad images).
    """

    STAROFFSET_SNRMIN = persistent(
        "minimum signal-to-noise of TBD of detector n. [QC STAROFFSETSNRMINn][ADU]",
        float,
        -1.0,
    )

    STAROFFSET_SNRMAX = persistent(
        "maximum signal-to-noise of TBD of detector n. [QC STAROFFSETSNRMAXn][ADU]",
        float,
        -1.0,
    )

    STAROFFSET_SNRMEDIAN = persistent(
        "median signal-to-noise of TBD of detector n. [QC STAROFFSETSNRMEDn][ADU]",
        float,
        -1.0,
    )

    STAROFFSET_SNRMEAN = persistent(
        "mean signal-to-noise of TBD of detector n. [QC STAROFFSETSNRMEAn][ADU]",
        float,
        -1.0,
    )
