# -*- coding: utf-8 -*-
"""Sky.

This module is part of the base classes of MicadoWISE.

The idea is that the other packages only contain concrete classes, that
are derived from (effectively) abstract base classes in this package.

This file is automatically generated. Do not modify!
"""

from micado.main.Opt import persistent
from micado.hardware.Atmosphere import Atmosphere, default_atmosphere
from micado.hardware.Telescope import Telescope, default_telescope
from micado.main.SkyExtra import SkyExtra


class Sky(SkyExtra):
    """An exposure of the sky."""

    ra = persistent("Right Ascension [OBS RA][deg]", float, 0.0)

    dec = persistent("Declination [OBS DEC][deg]", float, 0.0)

    atmosphere = persistent("Atmosphere [][None]", Atmosphere, default_atmosphere)

    telescope = persistent(
        "ESO telescope code as defined in GEN-SPE-ESO-00000-0794 [TELESCOP][]",
        Telescope,
        default_telescope,
    )
