# -*- coding: utf-8 -*-
"""ApplyAstrom.

This module is part of the CPL code descriptoin.

There are two kinds of classes in the recipe package:
- Recipe: with a one-to-one correspondence to the CPL recipes.
- RecipeStep: with a (kinda) one-to-one correspondence to DRL functions.

The Recipe instances effectively are process parameter classes in
WISE terminology.

This file is automatically generated. Do not modify!
"""

from micado.main.Img import Img, persistent
from micado.dataitems.DetrendFinalSiaiBase import DetrendFinalSiaiBase
from micado.dataitems.Astrom import Astrom
from micado.main.RecipeStepExtra import RecipeStepBase


class ApplyAstrom(Img, RecipeStepBase):
    """ApplyAstrom."""

    previous = persistent("None [][None]", DetrendFinalSiaiBase, None)

    astrom = persistent("None [][None]", Astrom, None)
