# -*- coding: utf-8 -*-
"""ApplyJustPersistence.

This module is part of the CPL code descriptoin.

There are two kinds of classes in the recipe package:
- Recipe: with a one-to-one correspondence to the CPL recipes.
- RecipeStep: with a (kinda) one-to-one correspondence to DRL functions.

The Recipe instances effectively are process parameter classes in
WISE terminology.

This file is automatically generated. Do not modify!
"""

from micado.main.Img import Img, persistent
from micado.main.Raw import Raw
from micado.dataitems.Persistence import Persistence
from micado.main.RecipeStepExtra import RecipeStepBase


class ApplyJustPersistence(Img, RecipeStepBase):
    """Apply Only Persistence Correction."""

    previous = persistent("Raw image [][None]", Raw, None)

    persistence = persistent("Persistence Image [][None]", Persistence, None)
