# -*- coding: utf-8 -*-
"""ApplyMasterDark.

This module is part of the CPL code descriptoin.

There are two kinds of classes in the recipe package:
- Recipe: with a one-to-one correspondence to the CPL recipes.
- RecipeStep: with a (kinda) one-to-one correspondence to DRL functions.

The Recipe instances effectively are process parameter classes in
WISE terminology.

This file is automatically generated. Do not modify!
"""

from micado.main.Img import Img, persistent
from micado.recipes.ApplyNonlinearity import ApplyNonlinearity
from micado.dataitems.MasterDark import MasterDark
from micado.main.RecipeStepExtra import RecipeStepBase


class ApplyMasterDark(Img, RecipeStepBase):
    """Apply MasterDark Correction."""

    previous = persistent(
        "Non-linearity corrected frame [][None]", ApplyNonlinearity, None
    )

    masterdark = persistent("MasterDark. [][None]", MasterDark, None)
