# -*- coding: utf-8 -*-
"""ComputePhotomInScienceFilter.

This module is part of the CPL code descriptoin.

There are two kinds of classes in the recipe package:
- Recipe: with a one-to-one correspondence to the CPL recipes.
- RecipeStep: with a (kinda) one-to-one correspondence to DRL functions.

The Recipe instances effectively are process parameter classes in
WISE terminology.

This file is automatically generated. Do not modify!
"""

from micado.main.RecipeStep import RecipeStep, persistent
from micado.recipes.CreateSourceCatalogHCI import CreateSourceCatalogHCI
from micado.dataitems.PhotomBase import PhotomBase


class ComputePhotomInScienceFilter(RecipeStep):
    """None."""

    previous = persistent("Flux measurement [][None]", CreateSourceCatalogHCI, None)

    zpt_calib = persistent("Zeropoint of calibration filter [][None]", PhotomBase, None)

    zpt_science = persistent("Zeropoint of science filter [][None]", PhotomBase, None)
