# -*- coding: utf-8 -*-
"""CorrectFlux.

This module is part of the CPL code descriptoin.

There are two kinds of classes in the recipe package:
- Recipe: with a one-to-one correspondence to the CPL recipes.
- RecipeStep: with a (kinda) one-to-one correspondence to DRL functions.

The Recipe instances effectively are process parameter classes in
WISE terminology.

This file is automatically generated. Do not modify!
"""

from micado.main.Img import Img, persistent
from micado.recipes.CalculateParallacticAngle import CalculateParallacticAngle
from micado.dataitems.Staroffset import Staroffset
from micado.main.RecipeStepExtra import RecipeStepBase


class CorrectFlux(Img, RecipeStepBase):
    """Apply flux correction for HCI, in header space only."""

    previous = persistent("previous [][None]", CalculateParallacticAngle, None)

    staroffset = persistent("Star offset [][None]", Staroffset, None)
