# -*- coding: utf-8 -*-
"""mcd_img_calibrate recipe."""
from micado.dataitems.Calibrated import Calibrated
from micado.dataitems.CalibratedExtension import CalibratedExtension


def make(self: Calibrated):
    """mcd_img_stack recipe."""
    # Propagate attributes.
    self.filtname = self.detrend.filtname
    self.mjdobs = self.detrend.mjdobs
    self.tpl__start = self.detrend.tpl__start
    self.ra = self.detrend.ra
    self.dec = self.detrend.dec

    # Calculate pixel values.
    # TODO: Actually do something with Astrom and Photom.
    self.extensions = []
    for detrendextension in self.detrend.extensions:
        nexte = CalibratedExtension(
            NAXIS=detrendextension.NAXIS,
            NAXIS1=detrendextension.NAXIS1,
            NAXIS2=detrendextension.NAXIS2,
            BITPIX=detrendextension.BITPIX,
        )
        nexte.image = detrendextension.image.copy()
        self.extensions.append(nexte)
