# -*- coding: utf-8 -*-
"""mcd_img_detrendfinal recipe."""

from micado.dataitems.DetrendFinal import DetrendFinal
from micado.dataitems.DetrendFinalExtension import DetrendFinalExtension


def make(self: DetrendFinal):
    """mcd_img_detrendfinal recipe."""
    # Propagate attributes.
    self.filtname = self.detrend.filtname
    self.mjdobs = self.detrend.mjdobs
    self.tpl__start = self.detrend.tpl__start
    self.ra = self.detrend.ra
    self.dec = self.detrend.dec

    # Calculate pixel values.
    # TODO: Actually do something with IllumCorr and Background.
    self.extensions = []
    for detrendextension in self.detrend.extensions:
        nexte = DetrendFinalExtension(
            NAXIS=detrendextension.NAXIS,
            NAXIS1=detrendextension.NAXIS1,
            NAXIS2=detrendextension.NAXIS2,
            BITPIX=detrendextension.BITPIX,
        )
        nexte.image = detrendextension.image.copy()
        self.extensions.append(nexte)
