# -*- coding: utf-8 -*-
"""mcd_det_flat recipe."""

import numpy
from micado.dataitems.MasterFlat import MasterFlat
from micado.dataitems.MasterFlatExtension import MasterFlatExtension


def make(self: MasterFlat):
    """mcd_det_flat recipe."""
    # TODO: Subtract MasterDark.
    self.extensions = []
    oexts = [d.extensions for d in self.flats]
    for flats in zip(*oexts):
        images = [flat.image for flat in flats]
        nexte = MasterFlatExtension(
            NAXIS=flats[0].NAXIS,
            NAXIS1=flats[0].NAXIS1,
            NAXIS2=flats[0].NAXIS2,
            BITPIX=flats[0].BITPIX,
            EXTNAME=flats[0].EXTNAME,
        )
        nexte.image = numpy.median(images, axis=0)
        self.extensions.append(nexte)
