# -*- coding: utf-8 -*-
"""MicadoCoroObsFpm.

This module is part of the template description.

There should be a one-to-one correspondence between template classes and
template descriptions by the ICS team. The exception is templates that
create several kinds of raw data; which is not supported in MicadoWISE.
The secondary data of these templates (e.g. a background field) has a
template with as name ....Virtual.

In the future it would be better to generate these classes directly from
the ICS software.

This file is automatically generated. Do not modify!
"""

from micado.templates.McdImgSciObjectHciBase import McdImgSciObjectHciBase, persistent


class MicadoCoroObsFpm(McdImgSciObjectHciBase):
    """MicadoCoroObsFpm.

    Science exposures in high-contrast imaging mode using a focal plane mask.
    No offset can be given; star centered in the mask with QACITS-like
    centering algorithm. Only the central detector is used, and the numbers of
    rows read can be reduced.
    """

    dpr__catg = persistent("Data product category [DPR CATG][None]", str, "SCIENCE")

    dpr__tech = persistent(
        "Data product technique [DPR TECH][None]", str, "CORONOGRAPHY,WAFFLE"
    )

    dpr__type = persistent("Data product type [DPR TYPE][None]", str, "OBJECT")
