# -*- coding: utf-8 -*-
"""MicadoCoroObsPpm.

This module is part of the template description.

There should be a one-to-one correspondence between template classes and
template descriptions by the ICS team. The exception is templates that
create several kinds of raw data; which is not supported in MicadoWISE.
The secondary data of these templates (e.g. a background field) has a
template with as name ....Virtual.

In the future it would be better to generate these classes directly from
the ICS software.

This file is automatically generated. Do not modify!
"""

from micado.templates.McdImgSciObjectHciBase import McdImgSciObjectHciBase, persistent


class MicadoCoroObsPpm(McdImgSciObjectHciBase):
    """MicadoCoroObsPpm.

    Science exposures in high-contrast imaging mode using a pupil plane mask.
    An offset can be given, for sky or photometric observations. No centering
    algorithm is being used. Only the central detector is used, and the
    numbers of rows read can be reduced.
    """

    dpr__catg = persistent("Data product category [DPR CATG][None]", str, "SCIENCE")

    dpr__tech = persistent(
        "Data product technique [DPR TECH][None]", str, "CORONOGRAPHY"
    )

    dpr__type = persistent("Data product type [DPR TYPE][None]", str, "PUPIL")
