# -*- coding: utf-8 -*-
"""MicadoImgCalWarmmask.

This module is part of the template description.

There should be a one-to-one correspondence between template classes and
template descriptions by the ICS team. The exception is templates that
create several kinds of raw data; which is not supported in MicadoWISE.
The secondary data of these templates (e.g. a background field) has a
template with as name ....Virtual.

In the future it would be better to generate these classes directly from
the ICS software.

This file is automatically generated. Do not modify!
"""

from micado.templates.McdImgOptBase import McdImgOptBase, persistent


class MicadoImgCalWarmmask(McdImgOptBase):
    """MicadoImgCalWarmmask.

    Provide calibration frames for the determination of the distortion due to
    the instrument
    """

    ins__mode = persistent("Instrument Mode [INS MODE][None]", str, "IMAGING")

    dpr__catg = persistent("Data product category [DPR CATG][None]", str, "CALIB")

    dpr__tech = persistent("Data product technique [DPR TECH][None]", str, "IMAGE,AI")

    dpr__type = persistent("Data product type [DPR TYPE][None]", str, "PINHOLE,WAM")
