# -*- coding: utf-8 -*-
"""Tests for finding MObjects."""
import pytest
from common.database.Context import context
from common.database.DBSelect import Select
from micado.hardware.DarkCurrent import DarkCurrent


@pytest.mark.xfail
def test_dc():
    """Test MObject through DarkCurrent.

    This currently fails because both _find_existing and autocommit has
    been disabled.
    """
    q: Select = DarkCurrent.select_all()
    ndarks = len(q)
    current = q.max("value#").value + 1 if ndarks else 39
    dc0 = DarkCurrent(value=current, autocommit=False)
    assert len(q) == ndarks

    dc1 = DarkCurrent(value=current)
    assert len(q) == ndarks + 1

    dc2 = DarkCurrent(value=current)
    assert len(q) == ndarks + 1

    dc3 = DarkCurrent(object_id=dc1.object_id.binary())
    assert len(q) == ndarks + 1

    assert dc0 is not dc1
    assert dc3 is dc1
    assert dc1 is dc2

    # TODO: Apparently delete does not work
    context.delete(dc1, commit=True)
