# -*- coding: utf-8 -*-
"""Test the ContainedInt class."""

from micado.toolbox.containedint import ContainedInt


def test_containedint():
    """Several tests for ContainedInt."""
    c1 = ContainedInt(5)
    c2 = ContainedInt(6)

    assert c1 - c2 == -1
    assert c1 + c2 == 11
    assert str(c1) == "5"
    assert repr(c1) == "5"
    assert c1 < c2
    assert c2 > c1
    assert c1 <= c2
    assert c2 >= c1
    assert c1 != c2
    assert c1 == 5
    assert c1 * c2 == 30
    assert c2 / c1 == 6 / 5
    assert c2 // c1 == 6 // 5
    assert c1.imag == 0

    c2 += 2
    assert c2 == 8
    c2 -= 1
    assert c2 == 7

    assert isinstance(c1, ContainedInt)
    assert isinstance(c2, ContainedInt)
